public static interface GrapeEndpointBuilderFactory.GrapeBuilders
| Modifier and Type | Method and Description |
|---|---|
default GrapeEndpointBuilderFactory.GrapeEndpointBuilder |
grape(String path)
Grape (camel-grape)
Fetch, load and manage additional jars dynamically after Camel
Context was started.
|
default GrapeEndpointBuilderFactory.GrapeEndpointBuilder |
grape(String componentName,
String path)
Grape (camel-grape)
Fetch, load and manage additional jars dynamically after Camel
Context was started.
|
default GrapeEndpointBuilderFactory.GrapeEndpointBuilder grape(String path)
grape:defaultCoordinates
Path parameter: defaultCoordinates (required)
Maven coordinates to use as default to grab if the message body is
empty.path - defaultCoordinatesdefault GrapeEndpointBuilderFactory.GrapeEndpointBuilder grape(String componentName, String path)
grape:defaultCoordinates
Path parameter: defaultCoordinates (required)
Maven coordinates to use as default to grab if the message body is
empty.componentName - to use a custom component name for the endpoint
instead of the default namepath - defaultCoordinatesApache Camel